DIR=/usr/lib/u-boot
write_uboot_platform () 
{ 
    dd if="$1/u-boot.bin.sd.bin" of="$2" conv=fsync,notrunc bs=442 count=1 > /dev/null 2>&1;
    dd if="$1/u-boot.bin.sd.bin" of="$2" conv=fsync,notrunc bs=512 skip=1 seek=1 > /dev/null 2>&1
}
write_uboot_platform_ext () 
{ 
    [ -b /dev/mmcblk0p1 ] && dd if="$1/u-boot.bin" of=/dev/mmcblk0p1 conv=fsync bs=512 seek=1 > /dev/null 2>&1;
    [ -f /sys/block/mmcblk0boot0/force_ro ] && echo 0 > /sys/block/mmcblk0boot0/force_ro;
    dd if="$1/u-boot.bin" of=/dev/mmcblk0boot0 conv=fsync bs=512 seek=1 > /dev/null 2>&1;
    [ -f /sys/block/mmcblk0boot1/force_ro ] && echo 0 > /sys/block/mmcblk0boot1/force_ro;
    dd if="$1/u-boot.bin" of=/dev/mmcblk0boot1 conv=fsync bs=512 seek=1 > /dev/null 2>&1;
    [ -f /sys/block/mmcblk0boot0/force_ro ] && echo 1 > /sys/block/mmcblk0boot0/force_ro;
    [ -f /sys/block/mmcblk0boot1/force_ro ] && echo 1 > /sys/block/mmcblk0boot1/force_ro
}
setup_write_uboot_platform () 
{ 
    local tmp=$(cat /proc/cmdline);
    local bootsource="${tmp##*boot_source=}";
    local partition_type="${tmp##*partition_type=}";
    bootsource="${bootsource%% *}";
    partition_type="${partition_type%% *}";
    if [ "$bootsource" == "sd" ]; then
        DEVICE="/dev/mmcblk1";
    else
        if [ "$bootsource" == "emmc" ]; then
            if [ "$partition_type" == "generic" ]; then
                DEVICE="/dev/mmcblk0";
            else
                DEVICE="VENDOR";
            fi;
        fi;
    fi
}
